p20.AddCustomCallback(p20ContentPack, p20Callbacks.MC_POST_ITEM_COLLECTED, function(_, player, itemID)
	Isaac.Spawn(EntityType.ENTITY_PICKUP, p20PickupVariant.PICKUP_HEART_ALT, p20HeartAltSubType.HEART_HOLY, p20.Room:FindFreePickupSpawnPosition(player.Position,0,true), p20.VECTOR_ZERO, player)
end, p20CollectibleType.COLLECTIBLE_DIVINE_SHROUD)

p20ContentPack:AddCallback(ModCallbacks.MC_POST_UPDATE, function()
	if p20.ModSave.Run.HolyHeartsCollected >= 2 and not p20.ModSave.Unlocks.ContentPack_DivineShroud then
		p20.ModSave.Unlocks.ContentPack_DivineShroud = true
		p20.DoAchievement("gfx/ui/achievement/piberpack/divine_shroud.png")
		p20.Save()
	end
end)

p20ContentPack:AddCallback(ModCallbacks.MC_POST_NEW_ROOM, function()
	if not p20.ModSave.Unlocks.ContentPack_DivineShroud then
		p20.ItemPool:RemoveCollectible(p20CollectibleType.COLLECTIBLE_DIVINE_SHROUD)
	end
end)

p20.ForceCostumeWithCollectible(p20CollectibleType.COLLECTIBLE_DIVINE_SHROUD, p20Costume.COSTUME_DIVINE_SHROUD)

__eidItemDescriptions[p20CollectibleType.COLLECTIBLE_DIVINE_SHROUD] = "Spawns a Holy Heart when picked up#Holy Hearts now add 1 soul heart upon pickup in addition to their usual effects#Holy Hearts appear more often"


p20.ForceError() --this function doesn't exist, we do this to cause an error intentionally